// -- FILE ------------------------------------------------------------------
// name       : Version.java
// project    : intelliCard: MobileKeyStore
// created    : Leon Poyyayil - 2013-08-06
// language   : java
// environment: JDK 1.6.0
// copyright  : (c) 2013 by intelliCard AG, Switzerland
// license    : this is corporate property of intelliCard AG
// --------------------------------------------------------------------------
package org.intellicastle;


// -- CLASS -----------------------------------------------------------------
/** Simple version information.
*///-------------------------------------------------------------------------
public final class Version {


// ----- constants -----
/** the version of this library */
private static final String VERSION = "${intellicastle.version}";


// -- METHOD ----------------------------------------------------------------
/** Prevent instantiation.
*///-------------------------------------------------------------------------
private Version()
{
} // Version


// -- METHOD ----------------------------------------------------------------
/** Provides access to the version. Intentionally only available through a
method call for public use to prevent the java compiler from copying the
constant value to the call sites at compile time.
@return   the version
*///-------------------------------------------------------------------------
public static String getVersion()
{
  return VERSION;
} // getVersion


} // class Version
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
